/*! system.css v0.1.11 subset for Anton Spiridonov site */
@font-face {
  font-family: Chicago;
  src: url("https://sakofchit.github.io/system.css/ChicagoFLF.woff2") format("woff2"),
    url("https://sakofchit.github.io/system.css/ChicagoFLF.woff") format("woff");
}

@font-face {
  font-family: Chicago_12;
  src: url("https://sakofchit.github.io/system.css/ChiKareGo2.woff2") format("woff2"),
    url("https://sakofchit.github.io/system.css/ChiKareGo2.woff") format("woff");
}

@font-face {
  font-family: Geneva_9;
  src: url("https://sakofchit.github.io/system.css/FindersKeepers.woff2") format("woff2"),
    url("https://sakofchit.github.io/system.css/FindersKeepers.woff") format("woff");
}

@font-face {
  font-family: Monaco;
  src: url("https://sakofchit.github.io/system.css/monaco.woff2") format("woff2"),
    url("https://sakofchit.github.io/system.css/monaco.woff") format("woff");
}

body {
  font-family: Chicago_12, Chicago, Geneva, serif;
}

a {
  color: #000;
  text-decoration: underline;
}

.window {
  display: flex;
  flex-direction: column;
  min-width: 320px;
  margin: 1rem;
  overflow: hidden;
  background-color: #fff;
  border: .1em solid #000;
  font-family: Chicago_12, Chicago, Geneva, serif;
}

.window-pane {
  height: 100%;
  overflow-y: scroll;
  padding: 1rem 2rem;
  font-size: 18px;
}

.separator {
  display: flex;
  flex: none;
  flex-direction: row;
  justify-content: space-between;
  border-top: .1rem solid #000;
  border-width: .1rem 0;
  font-size: 1rem;
}

.title-bar {
  display: flex;
  flex: none;
  align-items: center;
  height: 1.5rem;
  margin: .1rem 0;
  padding: .2rem .1rem;
  background: linear-gradient(#000 50%, transparent 0);
  background-clip: content-box;
  background-size: 6.6666666667% 13.3333333333%;
}

.title-bar .title {
  margin: 0 auto;
  padding: 0 .5em;
  background: #fff;
  cursor: default;
  font-family: Chicago_12, Chicago, Geneva, serif;
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1.1;
  text-align: center;
}

.modal-dialog {
  width: auto;
  padding: 13px;
  background: #fff;
}

.modal-contents {
  padding: 10px;
}

.outer-border {
  border: 2px solid #000;
  padding: 3px;
}

.inner-border {
  border-color: currentcolor;
  border-style: solid;
  border-width: 3.5px 5px;
}

.btn,
.btn-default {
  min-width: 59px;
  min-height: 20px;
  padding: 0 20px;
  color: #000;
  background: #fff;
  border: 2px solid #000;
  border-radius: 6px;
  cursor: pointer;
  font-family: Chicago_12, Chicago, Geneva, serif;
  font-size: 18px;
  text-align: center;
  text-decoration: none;
}

.btn:active,
.btn-default:active {
  color: #fff;
  background: #000;
}

ul[role] {
  margin: 0;
  padding: 0;
  list-style: none;
  cursor: pointer;
  font-family: Chicago_12, Chicago, Geneva, serif;
  font-size: 1em;
}

ul[role="menu-bar"] {
  display: flex;
  background: #fff;
}

ul[role="menu-bar"] > [role="menu-item"] {
  position: relative;
  padding: 6px 10px;
}

ul[role="menu-bar"] > [role="menu-item"]:focus,
ul[role="menu-bar"] > [role="menu-item"]:focus-within,
ul[role="menu-bar"] > [role="menu-item"]:hover {
  color: #fff;
  background: #000;
  outline: none;
}

[role="menu-item"] ul[role="menu"] {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 99;
  display: none;
}

ul[role="menu"] {
  position: relative;
  min-width: 200px;
  color: initial;
  background: #fff;
  border: 1px solid #000;
  box-shadow: 2px 2px #000;
}

ul[role="menu"] > [role="menu-item"] > a,
ul[role="menu"] > [role="menu-item"] > button {
  all: unset;
  box-sizing: border-box;
  display: block;
  width: 100%;
  padding: 5px 20px;
  position: relative;
}

ul[role="menu"] > [role="menu-item"] > a:focus,
ul[role="menu"] > [role="menu-item"] > a:hover,
ul[role="menu"] > [role="menu-item"] > button:focus,
ul[role="menu"] > [role="menu-item"] > button:hover {
  color: #fff;
  background: #000;
}

ul [role="menu-item"]:focus-within > [role="menu"],
ul [role="menu-item"]:focus > [role="menu"] {
  display: block;
}
